Patchwork qemu: Use PACKAGECONFIG for libusb to avoid floating dependency

login
register
mail settings
Submitter Richard Purdie
Date July 24, 2014, 9:11 p.m.
Message ID <1406236275.27697.20.camel@ted>
Download mbox | patch
Permalink /patch/76643/
State Accepted
Commit 63df03dc7bf31bf128f44bee7dc8a2a3d6479a8f
Headers show

Comments

Richard Purdie - July 24, 2014, 9:11 p.m.
Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>

Patch

diff --git a/meta/recipes-devtools/qemu/qemu.inc b/meta/recipes-devtools/qemu/qemu.inc
index ccd7908..3cb8536 100644
--- a/meta/recipes-devtools/qemu/qemu.inc
+++ b/meta/recipes-devtools/qemu/qemu.inc
@@ -100,6 +100,7 @@  PACKAGECONFIG[gtk+] = "--enable-gtk,--disable-gtk,gtk+ libvte,"
 PACKAGECONFIG[libcap-ng] = "--enable-cap-ng,--disable-cap-ng,libcap-ng,"
 PACKAGECONFIG[sdl] = "--enable-sdl,--disable-sdl,libsdl,"
 PACKAGECONFIG[ssh2] = "--enable-libssh2,--disable-libssh2,libssh2,"
+PACKAGECONFIG[libusb] = "--enable-libusb,--disable-libusb,libusb1"
 
 # Qemu target will not build in world build for ARM or Mips
 BROKEN_qemuarm = "1"